/*
 *  Copyright (C) 2007-2008 CMM Sigma Andrzej Chmielowiec <cmmsigma@cmmsigma.eu>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 3
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 */

// AboutBox.cpp: implementation of the AboutBox class.
//
//////////////////////////////////////////////////////////////////////

#include "AboutBox.h"

AboutBox::AboutBox(QWidget *parent) : QDialog(parent)
{
	setWindowTitle(tr("O programie"));

	QGridLayout *layout = new QGridLayout();

	QLabel *logo = new QLabel();
	QLabel *title = new QLabel();
#ifndef STOKEN_SOFT
	logo->setPixmap(QPixmap(QString(":img/stoken_about_ca_384.png")));
	title = new QLabel(tr("<center><h2>sToken CA v1.1</h2></center>"));
#else
	logo->setPixmap(QPixmap(QString(":img/stoken_about_softca_384.png")));
	title = new QLabel(tr("<center><h2>sToken SoftCA v1.1</h2></center>"));
#endif

	layout->addWidget(logo, 0, 0);
	layout->addWidget(title, 1, 0);

	QLabel *license = new QLabel(tr("<br>Ta aplikacja jest wolnym i darmowym oprogramowaniem, "
		"ktre moesz dystrybuowa i/lub modyfikowa "
		"na zasadach licencji GNU General Public License wersja 2 "
		"opublikowanej przez Free Software Foundation.<br><br>"
		"<a href=\"http://www.stoken.eu\">http://www.stoken.eu</a>"));
	license->setWordWrap(true);
	license->setOpenExternalLinks(true);
	layout->addWidget(license, 2, 0);

	QPushButton *btnOK = new QPushButton(tr("OK"));
	connect(btnOK, SIGNAL(clicked()), this, SLOT(accept()));
	layout->addWidget(btnOK, 3, 0, Qt::AlignRight);

	setLayout(layout);
}
