/*
 *  Copyright (C) 2007-2008 CMM Sigma Andrzej Chmielowiec <cmmsigma@cmmsigma.eu>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 3
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 */

#include <QtGui>
#include <QTextCodec>

#include "MainWindow.h"
#include "CA.h"

int main(int argc, char *argv[])
{
	QTextCodec::setCodecForTr(QTextCodec::codecForName("ISO 8859-2"));
	QApplication app(argc, argv);
	
	QTranslator qtTranslator;
	qtTranslator.load("qt_" + QLocale::system().name());
	app.installTranslator(&qtTranslator);
	
	QDir::setCurrent(QDir::homePath());

#ifndef STOKEN_SOFT
	if (!QDir(QDir::current().path() + QDir::separator() + QString(".stoken_ca")).exists())
		QDir::current().mkdir(QString(".stoken_ca"));
	
	QDir::setCurrent(QDir::current().path() + QDir::separator() + QString(".stoken_ca"));
#else
	if (!QDir(QDir::current().path() + QDir::separator() + QString(".stoken_softca")).exists())
		QDir::current().mkdir(QString(".stoken_softca"));
	
	QDir::setCurrent(QDir::current().path() + QDir::separator() + QString(".stoken_softca"));
#endif
	
	MainWindow mainWindow;
	mainWindow.show();
	
	return app.exec();
}
