/*
 *  Copyright (C) 2007-2008 CMM Sigma Andrzej Chmielowiec <cmmsigma@cmmsigma.eu>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 3
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 */

#include <QtGui>

#include "MainWindow.h"

int
main(int argc, char *argv[])
{
	QTextCodec::setCodecForTr(QTextCodec::codecForName("ISO 8859-2"));
	QApplication app(argc, argv);
	
	if (!QSystemTrayIcon::isSystemTrayAvailable())
	{
		QMessageBox::critical(0, QObject::tr("sToken VPN"), QObject::tr("Nie mona "
			"uruchomi tego programu w pasku zada."));
		
		return 1;
	}
	
	QTranslator qtTranslator;
	qtTranslator.load("qt_pl");
	app.installTranslator(&qtTranslator);
	
	QDir::setCurrent(QDir::homePath());

#ifndef STOKEN_SOFT	
	if (!QDir(QDir::current().path() + QString("/.stoken_vpn_client")).exists())
		QDir::current().mkdir(QString(".stoken_vpn_client"));
	
	QDir::setCurrent(QDir::current().path() + QString("/.stoken_vpn_client"));
#else
	if (!QDir(QDir::current().path() + QString("/.stoken_softvpn_client")).exists())
		QDir::current().mkdir(QString(".stoken_softvpn_client"));
	
	QDir::setCurrent(QDir::current().path() + QString("/.stoken_softvpn_client"));
#endif
	
	MainWindow window;
	window.show();
	
	return app.exec();
}
